<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (19) on Tue Feb 07 17:02:05 WET 2023 -->
<title>S-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-02-07">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="../org/academiadecodigo/simplegraphics/graphics/Canvas.html#saveToDisk(java.lang.String)" class="member-name-link">saveToDisk(String)</a> - Method in class org.academiadecodigo.simplegraphics.graphics.<a href="../org/academiadecodigo/simplegraphics/graphics/Canvas.html" title="class in org.academiadecodigo.simplegraphics.graphics">Canvas</a></dt>
<dd>
<div class="block">Saves the current canvas to disk</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/graphics/Colorable.html#setColor(org.academiadecodigo.simplegraphics.graphics.Color)" class="member-name-link">setColor(Color)</a> - Method in interface org.academiadecodigo.simplegraphics.graphics.<a href="../org/academiadecodigo/simplegraphics/graphics/Colorable.html" title="interface in org.academiadecodigo.simplegraphics.graphics">Colorable</a></dt>
<dd>
<div class="block">Sets the color of the shape</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/graphics/Ellipse.html#setColor(org.academiadecodigo.simplegraphics.graphics.Color)" class="member-name-link">setColor(Color)</a> - Method in class org.academiadecodigo.simplegraphics.graphics.<a href="../org/academiadecodigo/simplegraphics/graphics/Ellipse.html" title="class in org.academiadecodigo.simplegraphics.graphics">Ellipse</a></dt>
<dd>
<div class="block">Sets the color of this ellipse.</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/graphics/Line.html#setColor(org.academiadecodigo.simplegraphics.graphics.Color)" class="member-name-link">setColor(Color)</a> - Method in class org.academiadecodigo.simplegraphics.graphics.<a href="../org/academiadecodigo/simplegraphics/graphics/Line.html" title="class in org.academiadecodigo.simplegraphics.graphics">Line</a></dt>
<dd>
<div class="block">Sets the color for drawing this line.</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/graphics/Rectangle.html#setColor(org.academiadecodigo.simplegraphics.graphics.Color)" class="member-name-link">setColor(Color)</a> - Method in class org.academiadecodigo.simplegraphics.graphics.<a href="../org/academiadecodigo/simplegraphics/graphics/Rectangle.html" title="class in org.academiadecodigo.simplegraphics.graphics">Rectangle</a></dt>
<dd>
<div class="block">Sets the color of this rectangle.</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/graphics/Text.html#setColor(org.academiadecodigo.simplegraphics.graphics.Color)" class="member-name-link">setColor(Color)</a> - Method in class org.academiadecodigo.simplegraphics.graphics.<a href="../org/academiadecodigo/simplegraphics/graphics/Text.html" title="class in org.academiadecodigo.simplegraphics.graphics">Text</a></dt>
<dd>
<div class="block">Sets the color for drawing this text.</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/pictures/Picture.html#setColorAt(int,int,org.academiadecodigo.simplegraphics.graphics.Color)" class="member-name-link">setColorAt(int, int, Color)</a> - Method in class org.academiadecodigo.simplegraphics.pictures.<a href="../org/academiadecodigo/simplegraphics/pictures/Picture.html" title="class in org.academiadecodigo.simplegraphics.pictures">Picture</a></dt>
<dd>
<div class="block">Sets the color of a pixel.</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/pictures/Picture.html#setColorAt(int,org.academiadecodigo.simplegraphics.graphics.Color)" class="member-name-link">setColorAt(int, Color)</a> - Method in class org.academiadecodigo.simplegraphics.pictures.<a href="../org/academiadecodigo/simplegraphics/pictures/Picture.html" title="class in org.academiadecodigo.simplegraphics.pictures">Picture</a></dt>
<dd>
<div class="block">Sets the color of a pixel.</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#setKey(int)" class="member-name-link">setKey(int)</a> - Method in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>
<div class="block">Sets the code of the key associated with this event</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html#setKeyboardEventType(org.academiadecodigo.simplegraphics.keyboard.KeyboardEventType)" class="member-name-link">setKeyboardEventType(KeyboardEventType)</a> - Method in class org.academiadecodigo.simplegraphics.keyboard.<a href="../org/academiadecodigo/simplegraphics/keyboard/KeyboardEvent.html" title="class in org.academiadecodigo.simplegraphics.keyboard">KeyboardEvent</a></dt>
<dd>
<div class="block">Sets the type of event associated with this event</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/graphics/Text.html#setText(java.lang.String)" class="member-name-link">setText(String)</a> - Method in class org.academiadecodigo.simplegraphics.graphics.<a href="../org/academiadecodigo/simplegraphics/graphics/Text.html" title="class in org.academiadecodigo.simplegraphics.graphics">Text</a></dt>
<dd>
<div class="block">Sets the text message</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/MouseEvent.html#setX(double)" class="member-name-link">setX(double)</a> - Method in class org.academiadecodigo.simplegraphics.mouse.<a href="../org/academiadecodigo/simplegraphics/mouse/MouseEvent.html" title="class in org.academiadecodigo.simplegraphics.mouse">MouseEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/mouse/MouseEvent.html#setY(double)" class="member-name-link">setY(double)</a> - Method in class org.academiadecodigo.simplegraphics.mouse.<a href="../org/academiadecodigo/simplegraphics/mouse/MouseEvent.html" title="class in org.academiadecodigo.simplegraphics.mouse">MouseEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/graphics/Shape.html" class="type-name-link" title="interface in org.academiadecodigo.simplegraphics.graphics">Shape</a> - Interface in <a href="../org/academiadecodigo/simplegraphics/graphics/package-summary.html">org.academiadecodigo.simplegraphics.graphics</a></dt>
<dd>
<div class="block">A shape that can be drawn on a canvas.</div>
</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/graphics/Canvas.html#show(org.academiadecodigo.simplegraphics.graphics.Shape)" class="member-name-link">show(Shape)</a> - Method in class org.academiadecodigo.simplegraphics.graphics.<a href="../org/academiadecodigo/simplegraphics/graphics/Canvas.html" title="class in org.academiadecodigo.simplegraphics.graphics">Canvas</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../org/academiadecodigo/simplegraphics/graphics/Canvas.html#snapshot()" class="member-name-link">snapshot()</a> - Static method in class org.academiadecodigo.simplegraphics.graphics.<a href="../org/academiadecodigo/simplegraphics/graphics/Canvas.html" title="class in org.academiadecodigo.simplegraphics.graphics">Canvas</a></dt>
<dd>
<div class="block">Takes a snapshot of the screen, fades it, and sets it as the background.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">W</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="../constant-values.html">Constant&nbsp;Field&nbsp;Values</a></main>
</div>
</div>
</body>
</html>
